rules:
  # Bronze
  action-setup:
    status: todo
    comment: service registered in climate async_setup_entry.
  appropriate-polling: done
  brands: done
  common-modules:
    status: done
    comment: No coordinator is used, data update is centrally handled by the library.
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: Entities of this integration does not explicitly subscribe to events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry:
    status: todo
    comment: Uniqueness is not checked yet.

  # Silver
  action-exceptions: todo
  config-entry-unloading: done
  docs-configuration-parameters: todo
  docs-installation-parameters: todo
  entity-unavailable: todo
  integration-owner: done
  log-when-unavailable: todo
  parallel-updates: todo
  reauthentication-flow: done
  test-coverage: todo

  # Gold
  devices: done
  diagnostics: done
  discovery-update-info: todo
  discovery: todo
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices: done
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: todo
  icon-translations: todo
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: This integration does not raise any repairable issues.
  stale-devices: todo

  # Platinum
  async-dependency: todo
  inject-websession: todo
  strict-typing: todo
